import { ComponentsObject, OperationObject, PathObject } from '@loopback/openapi-v3-types';
export interface ControllerSpec {
    /**
     * The base path on which the Controller API is served.
     * If it is not included, the API is served directly under the host.
     * The value MUST start with a leading slash (/).
     */
    basePath?: string;
    /**
     * The available paths and operations for the API.
     */
    paths: PathObject;
    /**
     * OpenAPI components.schemas generated from model metadata
     */
    components?: ComponentsObject;
}
/**
 * Data structure for REST related metadata
 */
export interface RestEndpoint {
    verb: string;
    path: string;
    spec?: OperationObject;
}
export declare const TS_TYPE_KEY = "x-ts-type";
/**
 * Get the controller spec for the given class
 * @param constructor - Controller class
 */
export declare function getControllerSpec(constructor: Function): ControllerSpec;
