import { JsonSchema } from '@loopback/repository-json-schema';
import { SchemaObject } from '@loopback/openapi-v3-types';
/**
 * Converts JSON Schemas into a SchemaObject
 * @param json - JSON Schema to convert from
 */
export declare function jsonToSchemaObject(json: JsonSchema): SchemaObject;
/**
 * Helper function used to interpret boolean values as JSON Schemas.
 * See http://json-schema.org/draft-06/json-schema-release-notes.html
 * @param jsonOrBool - converts boolean values into their representative JSON Schemas
 * @returns A JSON Schema document representing the input value.
 */
export declare function jsonOrBooleanToJSON(jsonOrBool: boolean | JsonSchema): JsonSchema;
